org.multiverse.api.functions

## Class IntFunction

- java.lang.Object
- - org.multiverse.api.functions.IntFunction

All Implemented Interfaces:
  Function<java.lang.Integer>

Direct Known Subclasses:
  IncIntFunction

    public abstract class IntFunction
    extends java.lang.Object
    implements Function<java.lang.Integer>

A `Function` for primitives that accepts an argument of type int and returns a new value of the same type.

The reason why `IntFunction` is an abstract class instead of an ordinary interface, is that this class doesn't cause any unwanted boxing of primitives version of the call method is used instead of the one that accepts and returns a/an Integer).

This class is generated.

### Constructor Summary

Constructors
Constructor and Description
`IntFunction()`

### Method Summary

Methods
`abstract int` `call(int current)` Calculates the new value based on the current value.
`java.lang.Integer` `call(java.lang.Integer arg)` Evaluates the function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntFunction

    public IntFunction()

### Method Detail

#### call

    public abstract int call(int current)

Calculates the new value based on the current value.

Parameters:
  `current` - the current value.
Returns:
  the new value.

#### call

    public final java.lang.Integer call(java.lang.Integer arg)

Description copied from interface: `Function`
Evaluates the function.

Specified by:
  `call` in interface `Function<java.lang.Integer>`
Parameters:
  `arg` - the value to evaluate.
Returns:
  the result of the evaluation